#! /bin/sh

# this script will attempt to build the demo collection

# note that this script must be run from within 
# the top level gsdl directory

# set some environment variables
GSDLHOME=`pwd`
export GSDLHOME
GSDLOS=`uname -s | tr A-Z a-z`
export GSDLOS
PATH=$PATH:$GSDLHOME/bin/script:$GSDLHOME/bin/$GSDLOS
export PATH

# do the import
import.pl demo

if (test ! -e $GSDLHOME/collect/demo/archives/archives.inf;) then
    echo "import.pl failed"; exit 1;
fi

# do the build
buildcol.pl demo

if (test ! -e $GSDLHOME/collect/demo/building/text/demo.ldb;) then
    if (test ! -e $GSDLHOME/collect/demo/building/text/demo.bdb;) then
	echo "buildcol.pl failed"; exit 1;
    fi
fi

if (test ! -d $GSDLHOME/collect/demo/building/index;) then
    mkdir $GSDLHOME/collect/demo/index
fi

# move built indexes to index directory
mv $GSDLHOME/collect/demo/building/* $GSDLHOME/collect/demo/index
